curl --request GET \
--url https://api.topsort.com/public/v1/toppie/reporting/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/toppie/reporting/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/toppie/reporting/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"campaigns": [
{
"adSpend": 1,
"cpc": 123,
"ctr": 123,
"conversionRate": 123,
"impressions": 1,
"chargedImpressions": 1,
"clicks": 1,
"chargedClicks": 1,
"purchaseCount": 1,
"purchaseRevenue": 1,
"roas": 123,
"agencyCampaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignName": "<string>",
"dailyBudget": 1000,
"isActive": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"adFormat": "listing",
"targetRoas": 2,
"cpm": 0,
"acos": 0
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}[BETA] Get Campaigns Reporting.
Retrieve a list of campaigns and their reports.
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de requête
Token for retrieving the next page.
Maximum number of campaigns to retrieve.
1 <= x <= 1000The order dimension for the campaigns to be retrieved.
campaign_id, name, daily_budget, impressions, purchase_revenue, roas, cpc, cpm, ad_spend, is_active, ad_format, start_date, end_date, created_at, ctr, conversion_rate, purchase_count, charged_clicks, charged_impressions The order direction for the campaigns to be retrieved.
asc, desc Start date for calculating metrics.
End date for calculating metrics.
A search string to filter the names of the campaigns by.
The campaign status to filter the campaigns by. Defaults to all statuses.
all, active, inactive Réponse
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Cette page vous a-t-elle été utile ?